package com.esri.gwt.client.restful;

import com.esri.gwt.client.SpatialReference;
import com.esri.gwt.client.geometry.Extent;
import com.esri.gwt.client.layers.LayerInfo;
import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArray;

/**
 * This is the base object returned for all services.  Note, many fields will be empty if you request the legend for example.
 * 
 * @author Justin Merz
 */
public class RestfulServicesDirectory extends JavaScriptObject {

	protected RestfulServicesDirectory() {}
	
	public final native String getServiceDescription() /*-{
		if( this.serviceDescription ) return this.serviceDescription;
		return "";
	}-*/;
	
	public final native String getMapName() /*-{
		if( this.mapName ) return this.mapName;
		return "";
	}-*/;
	
	public final native String getDescription() /*-{
		if( this.description ) return this.description;
		return "";
	}-*/;
	
	public final native String getCopyrightText() /*-{
		if( this.copyrightText ) return this.copyrightText;
		return "";
	}-*/;
	
	public final native JsArray<LayerInfo> getLayers() /*-{
		if( this.layers ) return this.layers;
		return [];
	}-*/;
	
	public final native SpatialReference getSpatialReference() /*-{
		return this.spatialReference;
	}-*/;
	
	public final native boolean isSingleFusedMapCache() /*-{
		return this.singleFusedMapCache;
	}-*/;
	
	public final native Extent getInitialExtent() /*-{
		return this.initialExtent;
	}-*/;
	
	public final native Extent getFullExtent() /*-{
		return this.fullExtent;
	}-*/;
	
	public final native String getUnits() /*-{
		return this.units;
	}-*/;
	
	public final native String getSupportedImageFormatTypes() /*-{
		return this.supportedImageFormatTypes;
	}-*/;
	
	public final native RestfulDocumentInfo getDocumentInfo() /*-{
		return this.documentInfo;
	}-*/;

	public final native boolean hasTileInfo() /*-{
		if( this.tileInfo ) return true;
		return false;
	}-*/;
	
	
}
