package com.esri.gwt.client.tasks;

import com.google.gwt.core.client.JavaScriptObject;

/**
 * Represent the output parameters of a GP task and their properties and values.
 * 
 * @author Justin Merz
 */
public class ParameterValue extends JavaScriptObject {
	
	protected ParameterValue() {}
	
	/**
	 * Specifies the type of data for the parameter.
	 * 
	 * @return String
	 */
	public final native String getDataType() /*-{
		return this.dataType;
	}-*/;
	
	/**
	 * Unique name of the parameter.
	 * 
	 * @return String
	 */
	public final native String getParamName() /*-{
		return this.paramName;
	}-*/;

	/**
	 * The value of the parameter. The data structure of this value depends on the dataType. 
	 * 
	 * @return JavaScriptObject
	 */
	public final native JavaScriptObject getValue() /*-{
		return this.value;
	}-*/;
	
	public final native String getValueGPString() /*-{
		return this.value;
	}-*/;

	public final native double getValueGPDouble() /*-{
		return this.value;
	}-*/;
	
	// TODO: longs can't be returned from JSNI
	public final native float getValueGPLong() /*-{
		return this.value;
	}-*/;

	public final native boolean getValueGPBoolean() /*-{
		return this.value;
	}-*/;
	
	public final native Date getValueGPDate() /*-{
		return this.value;
	}-*/;
	
	public final native LinearUnit getValueGPLinearUnit() /*-{
		return this.value;
	}-*/;	
	
	public final native DataFile getValueGPDataFile() /*-{
		return this.value;
	}-*/;
	
	public final native RasterData getValueGPRasterData() /*-{
		return this.value;
	}-*/;
	
	public final native FeatureSet getValueGPFeatureSet() /*-{
		return this.value;
	}-*/;
	
	public final native RasterData getValueGPRasterDataLayer() /*-{
		return this.value;
	}-*/;
	
	public final native FeatureSet getValueGPFeatureRecordSetLayer() /*-{
		return this.value;
	}-*/;

}
